package data;

import java.util.ArrayList;
import java.util.Arrays;

public enum CorpusType {
	GIGAFIDA("Gigafida", "gigafida"),
	GIGAFIDA2("Gigafida2.0", "gigafida2.0"),
	CCKRES("ccKres ", "cckres"),
	SOLAR("Šolar", "šolar"),
	GOS("GOS", "gos"),
	KOST("KOST", "kost"),
	SSJ500K("ssj500k", "ssj500k"),
	VERT("vert", "vert");


	private final String name;
	private final String nameLowerCase;

	CorpusType(String name, String nameLowerCase) {
		this.name = name;
		this.nameLowerCase = nameLowerCase;
	}

	public String toString() {
		return this.name;
	}

	public String getNameLowerCase() {
		return nameLowerCase;
	}

	public static ArrayList<CorpusType> multipleFilesCorpuses() {
		return new ArrayList<>(Arrays.asList(new CorpusType[]{GIGAFIDA, GIGAFIDA2, CCKRES}));
	}
}
